抖音数据分析 · 达人营销

关键词人群画像

传入中文关键词,返回搜索每个关键词的人群,按年龄、性别、省份等划分。

POST/v1/douyin-analytics/keywordAudience

$0.0231每条

1,000 条
≈ $23.10
每取一条最低
$0.001312

只能用充值余额一次返回,没有 cursor

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/douyin-analytics/keywordAudience" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keywords":["美食"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "keywordAudience",
      "keyword": "美食",
      "startDate": "2026-10-26",
      "endDate": "2026-11-08",
      "audience": {
        "age": [
          {
            "name": "18-23",
            "share": 0.1471,
            "index": 115.33854978196526
          },
          {
            "name": "24-30",
            "share": 0.1727,
            "index": 94.40991138114958
          },
          {
            "name": "31-40",
            "share": 0.2987,
            "index": 101.56675136411897
          }
        ],
        "gender": "<masked>",
        "province": [
          {
            "name": "北京",
            "share": 0.0198,
            "index": 100.86683093173787
          },
          {
            "name": "天津",
            "share": 0.011,
            "index": 100.43281467605726
          },
          {
            "name": "河北",
            "share": 0.0468,
            "index": 104.21383987361676
          }
        ],
        "city": [
          {
            "name": "上海",
            "share": 0.0206,
            "index": 96.89929142522774
          },
          {
            "name": "广州",
            "share": 0.0206,
            "index": 98.95793537962372
          },
          {
            "name": "重庆",
            "share": 0.0203,
            "index": 97.58087604475304
          }
        ],
        "yuntu_city_level": [
          {
            "name": "一线城市",
            "share": 0.075777514714628,
            "index": 94.5365581766901
          },
          {
            "name": "新一线城市",
            "share": 0.18128506049824195,
            "index": 98.78653495019624
          },
          {
            "name": "二线城市",
            "share": 0.17613806581304536,
            "index": 96.76095478046281
          }
        ],
        "douyin_interest_category": [
          {
            "name": "时尚",
            "share": 0.1430251938931016,
            "index": 168.00185680735808
          },
          {
            "name": "美食",
            "share": 0.09925340481598317,
            "index": 153.30747603660677
          },
          {
            "name": "文化教育",
            "share": 0.05324977974438062,
            "index": 140.0155820687155
          }
        ],
        "province_city": [
          {
            "name": "上海",
            "share": 1,
            "index": 100
          },
          {
            "name": "重庆",
            "share": 1,
            "index": 100
          },
          {
            "name": "北京",
            "share": 1,
            "index": 100
          }
        ]
      }
    }
  ],
  "cursor": null,
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.023100",
    "balance_usd": "9.875000",
    "items": 1
  }
}

字段 5

字段类型示例值
typestringkeywordAudience
keywordstring美食
startDatestring2026-10-26
endDatestring2026-11-08
audienceobject{"age":[{"name":"18-23","share":0.1471,"index":115.338549781…

参数 2

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
keywordsarray是关键词或话题名,用中文。["美食"]

翻页

这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口每条单独取,每取一条的最低收费是 $0.001312。

  • 1 条:最多 $0.0231
  • 20 条:最多 $0.462
  • 100 条:最多 $2.31

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「关键词人群画像」要传哪些参数?

必填:keywords。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。

能接着往后取吗?

不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。

怎么收费?

每条 分析记录 $0.0231。每页最低收费 $0.001312:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $2.31。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。